#
# spec file for package panini
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           panini
Version:        0.72.0
Release:        lp152.3.9
Summary:        A tool for creating perspective views from panoramic and wide angle images
License:        GPL-3.0
Group:          Productivity/Graphics/Viewers
URL:            https://github.com/lazarus-pkgs/panini
Source:         https://github.com/lazarus-pkgs/panini/archive/v0.72.0.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(zlib)

%description
Visual tool for creating perspective views from panoramic and wide angle photographs.

%prep
%setup -q

%build
# use qmake macro is presend (fedora)
%{?qmake_qt5}%{?!qmake_qt5:qmake-qt5} PREFIX=%{buildroot}%{_prefix}/
make %{?_smp_mflags}

%install
%make_install

%files
%doc README.md USAGE.md LICENSE
%{_bindir}/panini
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Wed Feb 14 2018 mvetter@suse.com
- Remove AppImage files for submitting to oS Factory
* Mon Dec 11 2017 mvetter@suse.com
- Fix yml file to make AppImage work
* Fri Dec  1 2017 mvetter@suse.com
- Use qmake macro if present. Fixes build for Fedora.
  Like this binary wont be stripped.
* Thu Nov 30 2017 mvetter@suse.com
- Add initial yml file to build AppImages
* Thu Nov 30 2017 mvetter@suse.com
- Inital package 0.72.0 for openSUSE
